[diffoscope] 01/01: autopkgtest/basic-command-line: be a bit more verbose about what is being tested
Mattia Rizzolo
mattia at debian.org
Wed Aug 31 16:28:40 CEST 2016
This is an automated email from the git hooks/post-receive script.
mattia pushed a commit to branch master
in repository diffoscope.
commit df6cb5bae63ca8d94c73c914e6fcb847dfd92478
Author: Mattia Rizzolo <mattia at debian.org>
Date: Wed Aug 31 14:28:34 2016 +0000
autopkgtest/basic-command-line: be a bit more verbose about what is being tested
---
debian/tests/basic-command-line | 3 +++
1 file changed, 3 insertions(+)
diff --git a/debian/tests/basic-command-line b/debian/tests/basic-command-line
index caeff4e..275a383 100755
--- a/debian/tests/basic-command-line
+++ b/debian/tests/basic-command-line
@@ -11,18 +11,21 @@ echo "a" > $ADTTMP/a
echo "a" > $ADTTMP/a_
echo "b" > $ADTTMP/b
+echo "Testing identical files..."
diffoscope $ADTTMP/a $ADTTMP/a_
if [ $? -ne 0 ]; then
echo "Exit code was different from 0 when comparing files with identical content." >&2
exit 1
fi
+echo "Testing different files..."
diffoscope $ADTTMP/a $ADTTMP/b
if [ $? -ne 1 ]; then
echo "Exit code was different from 1 when comparing files with different content." >&2
exit 1
fi
+echo "Testing invalid command line flag..."
diffoscope --thisflagdoesntexistandwontexist
if [ $? -ne 2 ]; then
echo "Exit code was different from 2 when passing a non-existent flag." >&2
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/diffoscope.git
More information about the diffoscope
mailing list